<?php

declare(strict_types=1);

namespace App\Models;

use App\Core\Model;
use PDO;

final class TypeClient extends Model
{
    public function allActive(): array
    {
        return $this->db
            ->query("SELECT * FROM types_clients WHERE actif = 1 ORDER BY libelle ASC")
            ->fetchAll(PDO::FETCH_ASSOC);
    }
}
